Subject: FVWM: Modules path

From: Peter Kabal <[email-masked]>
Date: Wed, 9 Oct 1996 12:07:40 -0400 (EDT)

I don't want to hardcode the paths that the system manager has used for
the modules into my .fvwm2rc file.  Yet I want to add a path for my
own modules.  At the moment, the ModulePath has to have both the system
path and the custom path.

suggestions for future versions:
(1) Modify the syntax of ModulePath (and perhaps other paths) to have a
    trailing ":" signify that the "standard" paths are to be appended.  (The
    TeX environment variable TEXINPUTS uses this convention and in addition
    uses the convention that a trailing // on a file name signifies that
    directories and all subdirectories).

    thus:
    ModulePath /home/me/Modules:
    signifies that I want fvwm2 to look in my directory and then in the
    standard Modules directory.

(2) As part of the standard installation, add a few extra Form modules (as
    links).  For example, add FvwmForm1, FvwmForm2, FvwmForm3 as aliases for
    FvwmForm.  This way, a user can set up different "forms" without having
    to have copies (or links) for the modules.  For instance, I use one form
    for a "query/exit X" command, another for "rlogin to remote".  My personal
    Modules directory contains only links to FvwmForm, with two different
    names.  If the standard directory had a few extra generic links, I would
    not have to have maintain my own modules directory.

Peter Kabal      [email-masked]    (514) 398-7130
Department of Electrical Engineering       (514) 398-4470 (FAX)
McGill University                         
3480 University Street   Montreal, Quebec  Canada H3A 2A7
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: [email-masked] (Emilio Lopes)
Date: Thu, 10 Oct 96 21:16 EST

>>>>> "PK" == Peter Kabal <[email-masked]> wrote:

PK> (2) As part of the standard installation, add a few extra Form
PK>     modules (as links).  For example, add FvwmForm1, FvwmForm2,
PK>     FvwmForm3 as aliases for FvwmForm.  This way, a user can set
PK>     up different "forms" without having to have copies (or links)
PK>     for the modules.  For instance, I use one form for a
PK>     "query/exit X" command, another for "rlogin to remote".  My
PK>     personal Modules directory contains only links to FvwmForm,
PK>     with two different names.  If the standard directory had a few
PK>     extra generic links, I would not have to have maintain my own
PK>     modules directory.

This not necessary since you can call FvwmForm with an arg. From the
man page:

INITIALIZATION
       FvwmForm uses the same configuration file (usually .fvwmrc
       in  the  user's  home directory) as Fvwm.  To use FvwmForm
       for multiple input forms,  simply  create  symbolic  links
       with  different names, and they will be treated as differ
       ent modules.  Or, you can invoke FvwmForm with an optional
       parameter,  which  it  will  use as the name instead (e.g.
       'Module FvwmForm QuitVerify').  That way  you  don't  even
       have to make a symbolic link for it!

Pretty nice, uh?

Emilio.

-- 
                 Emilio C. Lopes <mailto:[email-masked]>
               Instituto de Fisica da Universidade de Sao Paulo
             Caixa Postal 66318, 05389-970 Sao Paulo - SP, BRAZIL
              Phone: (+55) (11) 818-6724 (Voice) / 818-6715 (Fax)
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].